Subject: Re: [PATCH gnome-team v2 0/3] Update gnome-text-editor without moving editorconfig-core-c

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 16 Sep 2023 05:59:59 +0200

Am Freitag, dem 15.09.2023 um 23:25 +0200 schrieb Vivien Kraus:
> Le vendredi 15 septembre 2023 à 22:22 +0200, Liliana Marie Prikler a
> écrit :
> > Am Freitag, dem 15.09.2023 um 19:36 +0200 schrieb Vivien Kraus:
> > > * gnu/packages/gnome.scm (editorconfig-core-c): New variable.
> > > * gnu/packages/text-editors.scm: Export editorconfig-core-c from
> > > (gnu packages gnome).
> > Actually, you could try using #:export in text-editors.scm or one
> > of the other hacks we have at our disposal (like manual
> > resolve-module) before moving this to gnome.scm where it doesn't
> > really belong.
> 
> I grepped for "cyclic" in the gnu/packages directory, and I found
> kde-plasma.scm interesting (for plasma), so I copied the hack. It
> seems to work, and I see no reason why it would not.
> 
> What do you think?
Yep, that's the hack I referred to – resolve-interface is a cleaner
version of resolve-module.

LGTM save for minor rewordings that I'll do on my own

Cheers